shared_image_preview
GET
/api/v1/s/{token}/image-preview
const url = 'https://example.com/api/v1/s/example/image-preview';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use reqwest;
#[tokio::main]pub async fn main() { let url = "https://example.com/api/v1/s/example/image-preview";
let client = reqwest::Client::new(); let response = client.get(url) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request GET \ --url https://example.com/api/v1/s/example/image-previewParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”token
required
string
Share token
Responses
Section titled “Responses”Image preview (WebP)
Image preview is being generated
Image preview not modified
Image preview not supported for this file type
Password required
Share or file not found
Storage backend is disabled or not ready
Unexpected image preview generation failure